<?php
/**
 * @file settings.php
 *
 * @package IronCMS
 * @author Sobak
 * @version 1.2
 */
defined('INSIDE') or die;

if ($_GET['msg'] == 1) echo '<p class="success">Ustawienia zostały zaktualizowane!</p>';

/**
 * @return array List of subdirs in themes/ directory
 */
function getThemes () {
    $dir = dir('themes/');

    while (($file = $dir->read()) !== false) {
       if($file !="." && $file!=".." && fnmatch('*', $file))
         $list[] = $file;
    }

    $dir->close();
    return $list;
}

?>

<h2>Ustawienia strony</h2>
<form action="" method="post">
 <fieldset>
 <legend>Podstawowe ustawienia</legend>
 <label for="site_title">Nazwa strony:</label> <input type="text" name="site_title" id="site_title" value="<?php echo core::getSetting ('site_title'); ?>" />
 <label for="page_id">Jako stronę główną pokaż:</label>
     <select name="page_id" id="page_id">
        <?php
        $result = db::query("SELECT id, title FROM {prefix}content WHERE page_status='0'");
        while ($row = db::fetch($result)) {
            $id = $row[0];
            $name = $row[1];
            if (core::getSetting ('home_id') == $id) {
                $selected  = 'selected="selected"';
            } else {
                $selected = '';
            }
            echo  "\t<option value=\"$id\" $selected>$name</option>\n";
        }
        ?>
    </select>
 <label for="admin_email">Adres email do kontaktu:</label> <input type="text" name="admin_email" id="admin_email" value="<?php echo core::getSetting ('admin_email'); ?>" />
 <label for="default_keywords">Domyślne słowa kluczowe:</label> <input type="text" name="default_keywords" id="default_keywords" value="<?php echo core::getSetting ('default_keywords'); ?>" />
 <label for="default_description">Domyślny opis:</label> <input type="text" name="default_description" id="default_description" value="<?php echo core::getSetting ('default_description'); ?>" />
 </fieldset>
 
 <fieldset>
 <legend>Inne</legend>
 <label for="login_form">Pokazywać formularz logowania w menu?</label> <input type="radio" name="login_form" value="1" <?php if (core::getSetting('login_form') == 1) echo 'checked="checked"'; ?> />Tak <input type="radio" name="login_form" value="0" <?php if (core::getSetting('login_form') == 0) echo 'checked="checked"'; ?> />Nie
 <label for="theme">Motyw:</label> 
        <select name="theme" id="theme">
                    <?php
                        $themes = getThemes();
                        
                        foreach ($themes as $themeDir) {
                            if (core::getSetting ('theme') == $themeDir) {
                                $selected  = 'selected="selected"';
                            } else {
                                $selected = '';
                            }
                            echo  "\t<option value=\"$themeDir\" $selected>$themeDir</option>\n";
                        }
                    ?>
        </select>
 <label for="short_news_length">Skracaj newsy do:</label> <input type="text" name="short_news_length" id="short_news_length" value="<?php echo core::getSetting ('short_news_length'); ?>" /> znaków
 <label for="allow_guests_comments">Pozwalać komentować niezalogowanym?</label> <input name="allow_guests_comments" id="allow_guests_comments" type="radio" value="1" <?php if (core::getSetting('allow_guests_comments') == 1) echo 'checked="checked"'; ?> /> Tak <input name="allow_guests_comments" id="allow_guests_comments" type="radio" value="0" <?php if (core::getSetting('allow_guests_comments') == 0) echo 'checked="checked"'; ?> /> Nie
 </fieldset>
 <input type="hidden" name="send" value="1" />
 <input type="submit" value="Aktualizuj" />
</form>

<?php
if ($_POST['send'] == 1) {
    $site_title            = db::secure($_POST['site_title']);
    $page_id               = db::secure($_POST['page_id']);
    $theme                 = db::secure($_POST['theme']);
    $admin_email           = db::secure($_POST['admin_email']);
    $default_keywords      = db::secure($_POST['default_keywords']);
    $default_description   = db::secure($_POST['default_description']);
    $login_form            = db::secure($_POST['login_form']);
    $short_news_length     = db::secure($_POST['short_news_length']);
    $allow_guests_comments = db::secure($_POST['allow_guests_comments']);
 
 
    changeSetting('site_title', $site_title);
    changeSetting('home_id', $page_id);
    changeSetting('theme', $theme);
    changeSetting('admin_email', $admin_email);
    changeSetting('default_keywords', $default_keywords);
    changeSetting('default_description', $default_description);
    changeSetting('login_form', $login_form);
    changeSetting('short_news_length', $short_news_length);
    changeSetting('allow_guests_comments', $allow_guests_comments);

    core::redirect('?m=settings&msg=1');
}

?>