<?php
/**
 * @file register.php
 *
 * @brief Registration page
 * @author Sobak
 * @version 1.1
 */

/**
 * Check whether form was sent
 */
if (db::secure($_POST['send']) == 1) {
    $login = db::secure(htmlspecialchars($_POST['login']));
    $pass = db::secure(htmlspecialchars($_POST['pass']));
    $pass_v = db::secure(htmlspecialchars($_POST['pass_v']));
    $email = db::secure(htmlspecialchars($_POST['email']));
    $email_v = db::secure(htmlspecialchars($_POST['email_v']));

    /**
     * Check whether nick or email already exists
     */
    $existsLogin = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}users WHERE login='$login' LIMIT 1"));
    $existsEmail = db::fetch(db::query("SELECT COUNT(*) FROM {prefix}users WHERE email='$email' LIMIT 1"));

    /**
     * Errors handling
     */
    $errors = '';

    $lengthLogin = strlen($login);
    $lengthPass = strlen($pass);

    if (!$login || !$email || !$pass || !$pass_v || !$email_v ) $errors .= '- Musisz wypełnić wszystkie pola<br />';

    if ($lengthLogin < core::$cfg['min_login_length']) $errors .= '- Minimalna długość loginu to '.core::$cfg['min_login_length'].' znaki/ów<br />';

    if ($lengthPass < core::$cfg['min_pass_length']) $errors .= '- Minimalna długość hasła to '.core::$cfg['min_pass_length'].' znaki/ów<br />';

    if ($existsLogin[0] >= 1) $errors .= '- Ten login jest zajęty<br />';

    if ($existsEmail[0] >= 1) $errors .= '- Ten e-mail jest już używany<br />';

    if ($email != $email_v) $errors .= '- E-maile się nie zgadzają<br />';

    if ($pass != $pass_v)  $errors .= '- Hasła się nie zgadzają<br />';

    if (strtolower($login) == strtolower($pass)) $errors .= '- Login i hasło nie mogą być identyczne<br />';

    /**
     * If $errors is not empty, then show errors
     */
    if ($errors != '') {
        echo '<p class="error">Rejestracja nie powiodła się, popraw następujące błędy:<br />'.$errors.'</p>';
    }

    /**
     * There are no errors - continue
     */
    else {
        /**
         * Encrypt password
         */
        $pass = user::passSalter($pass);

        /**
         * Save to database
         */
        db::query("INSERT INTO {prefix}users (login, email, pass) VALUES('$login','$email','$pass');");

        // Account acivation
        $hash = randomString (15);

        $userIdResult = db::fetch(db::query("SELECT id FROM {prefix}users WHERE login='$login' AND pass='$pass'"));
        $userId = $userIdResult[0];

        db::query("INSERT INTO {prefix}activation (id, hash) VALUES('$userId', '$hash')");

        // Send activation email
        mail ($email, 'Email aktywacyjny', 'Aby aktywować swoje konto wejdź pod adres: '.core::$cfg['site_url'].'?activation/'.$userId.'/'.$hash, 'From: donotreply@example.com') or die('<p class="error">Nie udało się wysłać maila aktywacyjnego. Wejdź pod adres '.core::$cfg['site_url'].'?activation/'.$userId.'/'.$hash.' aby aktywować konto.');
        echo '<p class="success">'.$login.', zostałeś zarejestrowany ;). Teraz odbierz maila aktywacyjnego.</span><br />
        <br /><a href="?login">Logowanie</a></p>';
    }
}

?>


<form method="post" action="">

<label for="login">Login:</label>
<input maxlength="18" type="text" name="login" id="login" autocomplete="off" /><br />

<label for="pass">Hasło:</label>
<input maxlength="32" type="password" name="pass" id="pass" /><br />

<label for="pass_again">Hasło (ponownie):</label>
<input maxlength="32" type="password" name="pass_v" id="pass_again" /><br />

<label for="email">Email:</label>
<input type="text" name="email" maxlength="50" id="email" /><br />

<label for="email_again">Email (ponownie):</label>
<input type="text" maxlength="50" name="email_v" id="email_again" autocomplete="off" /><br />


<input type="hidden" name="send" value="1" />
<input type="submit" value="Zarejestruj" />
</form>